Bug 139986 - AX: [ATK] Whether to show the title attribute, if there is a label with the attribute for?
Summary: AX: [ATK] Whether to show the title attribute, if there is a label with the a...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-12-29 09:12 PST by Andrzej Badowski
Modified: 2015-01-12 05:50 PST (History)
6 users (show)

See Also:


Attachments
proposed patch (6.26 KB, patch)
2015-01-09 02:10 PST, Andrzej Badowski
cfleizach: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
proposed patch 2 (5.79 KB, patch)
2015-01-12 04:11 PST, Andrzej Badowski
commit-queue: commit-queue-
Details | Formatted Diff | Diff
proposed patch 3 (5.79 KB, patch)
2015-01-12 05:05 PST, Andrzej Badowski
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrzej Badowski 2014-12-29 09:12:58 PST
I have a problem. 
Is it necessary to show the title attribute of a radio button (or another element), if there is a label tag attribute for referring to the first element? I do not mean to show it directly, but through the text associated with the label.
Here is an example taken from the test accessibility/radio-button-title-label.html for Mac:

<input type="radio" name="r1" id="r1" title="TITLE">Test<br>
<label id="label1" for="r1">LABEL</label>

Expected result for r1.title (r1 - accessibleElementById("r1")) is: 'AXTitle: ' (mac). 
If this test is made for efl or gtk, it returns 'AXTitle: LABEL'. If this is correct, it would suffice small modification of this test for the ATK case. If not, it is probably necessary amendment in the core area.
Comment 1 Radar WebKit Bug Importer 2014-12-29 09:13:18 PST
<rdar://problem/19356947>
Comment 2 chris fleizach 2014-12-30 20:28:30 PST
i think in this case, title attribute should go to AXHelp tag on Mac, since the labelled by overrides the title
Comment 3 Joanmarie Diggs (irc: joanie) 2015-01-05 05:11:38 PST
In the case of ATK, what the WebKit tests call AXTitle is the accessible name of the AtkObject. And the accessible name is in this case LABEL. So 'AXTitle: LABEL' is correct.

The title attribute could be exposed as the accessible description of the AtkObject. (ATK perhaps should have "help" text, but it doesn't currently.)
Comment 4 Andrzej Badowski 2015-01-09 02:10:01 PST
Created attachment 244334 [details]
proposed patch
Comment 5 chris fleizach 2015-01-09 08:50:02 PST
Comment on attachment 244334 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=244334&action=review

> LayoutTests/platform/efl/TestExpectations:2125
> +webkit.org/b/139150 fast/forms/form-hides-table.html [ Failure ]

this seems like an unnecessary change
Comment 6 WebKit Commit Bot 2015-01-12 03:14:53 PST
Comment on attachment 244334 [details]
proposed patch

Rejecting attachment 244334 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'apply-attachment', '--no-update', '--non-interactive', 244334, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
t 2120.
1 out of 2 hunks FAILED -- saving rejects to file LayoutTests/platform/efl/TestExpectations.rej
patching file LayoutTests/platform/efl/accessibility/radio-button-title-label-expected.txt
patching file LayoutTests/platform/gtk/TestExpectations
patching file LayoutTests/platform/gtk/accessibility/radio-button-title-label-expected.txt

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Chris Fleizach']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/6091515969404928
Comment 7 Andrzej Badowski 2015-01-12 04:11:20 PST
Created attachment 244440 [details]
proposed patch 2
Comment 8 WebKit Commit Bot 2015-01-12 04:50:58 PST
Comment on attachment 244440 [details]
proposed patch 2

Rejecting attachment 244440 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'validate-changelog', '--check-oops', '--non-interactive', 244440, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

ChangeLog entry in LayoutTests/ChangeLog contains OOPS!.

Full output: http://webkit-queues.appspot.com/results/4633496442109952
Comment 9 Andrzej Badowski 2015-01-12 05:05:39 PST
Created attachment 244441 [details]
proposed patch 3
Comment 10 WebKit Commit Bot 2015-01-12 05:50:02 PST
Comment on attachment 244441 [details]
proposed patch 3

Clearing flags on attachment: 244441

Committed r178255: <http://trac.webkit.org/changeset/178255>
Comment 11 WebKit Commit Bot 2015-01-12 05:50:06 PST
All reviewed patches have been landed.  Closing bug.